import type {INumberValueTagStyle} from "@/interface/app/ITagStyle.ts";

export default class StackerInTypeFormatter {

    inTypeTagStyle: INumberValueTagStyle[] = [
        {value: 0, label: '立即入库', type: 'primary'},
        {value: 1, label: '验证条码入库', type: 'success'}
    ];

     inTypeFormatter(value: any): INumberValueTagStyle {
        const findResult = this.inTypeTagStyle.find(f => f.value == value);
        if (findResult) {
            return findResult;
        }
        return {value: value.toString(), label: '？' + value.toString(), type: 'danger'};
    }

}